#define MSG_DEFS
#define SDL_DEFS
#define MAINARGS_DEFS
#include "header.h"

namespace Msg
{
	void Info(const char *txt)
	{
		SDL_ShowSimpleMessageBox(SDL_MESSAGEBOX_INFORMATION, APPNAME" - Info", txt, 0);
	}

	void Warn(const char *txt)
	{
		static bool nowarn = MainArgs::ArgExist("-nowarn");
		if (nowarn) return;
		SDL_ShowSimpleMessageBox(SDL_MESSAGEBOX_WARNING, APPNAME" - Warning", txt, 0);
		Info("To disable these warnings use -nowarn command-line argument.");
	}

	void Clear(std::stringstream &ss)
	{
		ss.str("");
	}

	std::stringstream MsgStreamClass::ss;
	MsgStreamClass &MsgStreamClass::Inst()
	{
		static MsgStreamClass me;
		return me;
	}
	MsgStreamClass::MsgStreamClass(){}

	MsgStreamClass &MsgStream = MsgStreamClass::Inst();
}